Transaction Status Request
GET
/cgi.html-statusA Transaction Status Request allows the host system to check the result of a previously initiated transaction, typically when communication between the host system and the terminal was interrupted while the transaction request was pending.
Query Parameters
RegisterId*
stringTPN
stringPaymentType*
enumAuthKey
stringTransType*
enumRefId*
stringPrintReceipt
enumMerchantId
stringIsTxnStatusScreenRequired
booleanGET/cgi.html-status
1curl --location 'https://test.spinpos.net:443/SPIn/cgi.html?TerminalTransaction=%3Crequest%3E%3CRegisterId%3E3%3C%2FRegisterId%3E%3CPaymentType%3ECredit%3C%2FPaymentType%3E%3CTransType%3EStatus%3C%2FTransType%3E%3CRefId%3E3%3C%2FRefId%3E%3CPrintReceipt%3ENo%3C%2FPrintReceipt%3E%3CIsTxnStatusScreenRequired%3Etrue%3C%2FIsTxnStatusScreenRequired%3E%3C%2Frequest%3E'
Response
// Awaiting response…
Sample response
{
"RefId": "3",
"RegisterId": "3",
"TPN": "yourTPN",
"ResultCode": "0",
"Message": "Approved",
"PaymentType": "Credit",
"RespMSG": "Approved",
"AuthCode": "yourAuthCode",
"PNRef": "yourPNRef",
"EMVData": "yourEMVData",
"Sign": "yourSign",
"ExtData": "InvNum=1,CardType=VISA,BatchNum=1,Tip=0.00,CashBack=0.00,Fee=0.00,AcntLast4=1234,Name=Dejavoo,TotalAmt=1.00,EntryType=Swipe,TaxCity=0.00,TaxState=0.00,TaxAmount=0.00"
}